## org.eclipse.datatools.modelbase.dbdefinition
Class LanguageType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.LanguageType

public final class LanguageType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Language Type', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getLanguageType()`, Serialized Form

Field Summary
`static int` `ASSEMBLY` The 'ASSEMBLY' literal value.
`static LanguageType` `ASSEMBLY_LITERAL` The 'ASSEMBLY' literal object.
`static int` `C` The 'C' literal value.
`static LanguageType` `C_LITERAL` The 'C' literal object.
`static int` `CL` The 'CL' literal value.
`static LanguageType` `CL_LITERAL` The 'CL' literal object.
`static int` `COBOL` The 'COBOL' literal value.
`static LanguageType` `COBOL_LITERAL` The 'COBOL' literal object.
`static int` `COBOLLE` The 'COBOLLE' literal value.
`static LanguageType` `COBOLLE_LITERAL` The 'COBOLLE' literal object.
`static int` `CPLUSPLUS` The 'CPLUSPLUS' literal value.
`static LanguageType` `CPLUSPLUS_LITERAL` The 'CPLUSPLUS' literal object.
`static int` `FORTRAN` The 'FORTRAN' literal value.
`static LanguageType` `FORTRAN_LITERAL` The 'FORTRAN' literal object.
`static int` `JAVA` The 'JAVA' literal value.
`static LanguageType` `JAVA_LITERAL` The 'JAVA' literal object.
`static int` `OLE` The 'OLE' literal value.
`static LanguageType` `OLE_LITERAL` The 'OLE' literal object.
`static int` `PLI` The 'PLI' literal value.
`static LanguageType` `PLI_LITERAL` The 'PLI' literal object.
`static int` `REXX` The 'REXX' literal value.
`static LanguageType` `REXX_LITERAL` The 'REXX' literal object.
`static int` `RPG` The 'RPG' literal value.
`static LanguageType` `RPG_LITERAL` The 'RPG' literal object.
`static int` `RPGLE` The 'RPGLE' literal value.
`static LanguageType` `RPGLE_LITERAL` The 'RPGLE' literal object.
`static int` `SQL` The 'SQL' literal value.
`static LanguageType` `SQL_LITERAL` The 'SQL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Language Type' enumerators.

Method Summary
`static LanguageType` `get(int value)` Returns the 'Language Type' literal with the specified integer value.
`static LanguageType` `get(java.lang.String literal)` Returns the 'Language Type' literal with the specified literal value.
`static LanguageType` `getByName(java.lang.String name)` Returns the 'Language Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL

    public static final int SQL

  The 'SQL' literal value.

  See Also:
    `SQL_LITERAL`, Constant Field Values

### JAVA

    public static final int JAVA

  The 'JAVA' literal value.

  See Also:
    `JAVA_LITERAL`, Constant Field Values

### C

    public static final int C

  The 'C' literal value.

  See Also:
    `C_LITERAL`, Constant Field Values

### OLE

    public static final int OLE

  The 'OLE' literal value.

  See Also:
    `OLE_LITERAL`, Constant Field Values

### ASSEMBLY

    public static final int ASSEMBLY

  The 'ASSEMBLY' literal value.

  See Also:
    `ASSEMBLY_LITERAL`, Constant Field Values

### COBOL

    public static final int COBOL

  The 'COBOL' literal value.

  See Also:
    `COBOL_LITERAL`, Constant Field Values

### PLI

    public static final int PLI

  The 'PLI' literal value.

  See Also:
    `PLI_LITERAL`, Constant Field Values

### CPLUSPLUS

    public static final int CPLUSPLUS

  The 'CPLUSPLUS' literal value.

  See Also:
    `CPLUSPLUS_LITERAL`, Constant Field Values

### CL

    public static final int CL

  The 'CL' literal value.

  See Also:
    `CL_LITERAL`, Constant Field Values

### COBOLLE

    public static final int COBOLLE

  The 'COBOLLE' literal value.

  See Also:
    `COBOLLE_LITERAL`, Constant Field Values

### FORTRAN

    public static final int FORTRAN

  The 'FORTRAN' literal value.

  See Also:
    `FORTRAN_LITERAL`, Constant Field Values

### REXX

    public static final int REXX

  The 'REXX' literal value.

  See Also:
    `REXX_LITERAL`, Constant Field Values

### RPG

    public static final int RPG

  The 'RPG' literal value.

  See Also:
    `RPG_LITERAL`, Constant Field Values

### RPGLE

    public static final int RPGLE

  The 'RPGLE' literal value.

  See Also:
    `RPGLE_LITERAL`, Constant Field Values

### SQL_LITERAL

    public static final LanguageType SQL_LITERAL

  The 'SQL' literal object.

  If the meaning of 'SQL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SQL`

### JAVA_LITERAL

    public static final LanguageType JAVA_LITERAL

  The 'JAVA' literal object.

  If the meaning of 'JAVA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JAVA`

### C_LITERAL

    public static final LanguageType C_LITERAL

  The 'C' literal object.

  If the meaning of 'C' literal object isn't clear, there really should be more of a description here...

  See Also:
    `C`

### OLE_LITERAL

    public static final LanguageType OLE_LITERAL

  The 'OLE' literal object.

  If the meaning of 'OLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OLE`

### ASSEMBLY_LITERAL

    public static final LanguageType ASSEMBLY_LITERAL

  The 'ASSEMBLY' literal object.

  If the meaning of 'ASSEMBLY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASSEMBLY`

### COBOL_LITERAL

    public static final LanguageType COBOL_LITERAL

  The 'COBOL' literal object.

  If the meaning of 'COBOL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COBOL`

### PLI_LITERAL

    public static final LanguageType PLI_LITERAL

  The 'PLI' literal object.

  If the meaning of 'PLI' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PLI`

### CPLUSPLUS_LITERAL

    public static final LanguageType CPLUSPLUS_LITERAL

  The 'CPLUSPLUS' literal object.

  If the meaning of 'CPLUSPLUS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CPLUSPLUS`

### CL_LITERAL

    public static final LanguageType CL_LITERAL

  The 'CL' literal object.

  If the meaning of 'CL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CL`

### COBOLLE_LITERAL

    public static final LanguageType COBOLLE_LITERAL

  The 'COBOLLE' literal object.

  If the meaning of 'COBOLLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COBOLLE`

### FORTRAN_LITERAL

    public static final LanguageType FORTRAN_LITERAL

  The 'FORTRAN' literal object.

  If the meaning of 'FORTRAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FORTRAN`

### REXX_LITERAL

    public static final LanguageType REXX_LITERAL

  The 'REXX' literal object.

  If the meaning of 'REXX' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REXX`

### RPG_LITERAL

    public static final LanguageType RPG_LITERAL

  The 'RPG' literal object.

  If the meaning of 'RPG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RPG`

### RPGLE_LITERAL

    public static final LanguageType RPGLE_LITERAL

  The 'RPGLE' literal object.

  If the meaning of 'RPGLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RPGLE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Language Type' enumerators.

Method Detail

### get

    public static LanguageType get(java.lang.String literal)

  Returns the 'Language Type' literal with the specified literal value.

### getByName

    public static LanguageType getByName(java.lang.String name)

  Returns the 'Language Type' literal with the specified name.

### get

    public static LanguageType get(int value)

  Returns the 'Language Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.